freemarker.template

## Interface TemplateHashModelEx2.KeyValuePair

Enclosing interface:
  TemplateHashModelEx2

    public static interface TemplateHashModelEx2.KeyValuePair

A key-value pair in a hash; used for `TemplateHashModelEx2.KeyValuePairIterator`.

Since:
  2.3.25

### Method Summary

All Methods Instance Methods Abstract Methods
`TemplateModel` `getKey()`
`TemplateModel` `getValue()`

### Method Detail

#### getKey

    TemplateModel getKey()
                  throws TemplateModelException

Returns:
  Any type of `TemplateModel`, maybe `null` (if the hash entry key is `null`).
Throws:
  `TemplateModelException`

#### getValue

    TemplateModel getValue()
                    throws TemplateModelException

Returns:
  Any type of `TemplateModel`, maybe `null` (if the hash entry value is `null`).
Throws:
  `TemplateModelException`